Subject: Re: How to git checkout a orgin(unstage) version file in another directoy?

From: Michael J Gruber <[email-masked]>
Date: Fri, 18 Feb 2011 08:41:50 +0100

Junio C Hamano venit, vidit, dixit 17.02.2011 19:33:
> Michael J Gruber <[email-masked]> writes:
> 
>> I'm not sure what you mean by "origin" version, but if you mean the
>> version from the current revision (before making and staging changes),
>> you would check out from HEAD instead of from the index:
>>
>> git --work-tree=. --git-dir="/media/linux/t/kernel/.git" checkout HEAD
>> -- README
> 
> Wouldn't that still affect the index in /media/linux/t/kernel/.git/index,
> making /media/linux/t/kernel/README and the index entry out-of-sync?

Yes. I guess you overlooked the two posts where Chunlin and I realised
that I took his request for "checkout" too giterally.

Michael